Search documentation of wx

# View Source wxDateEvent (wx v2.4.2)

Functions for wxDateEvent class

This event class holds information about a date change and is used together with `wxDatePickerCtrl`. It also serves as a base class for `wxCalendarEvent`.

This class is derived (and can use functions) from: `wxCommandEvent` `wxEvent`

wxWidgets docs: wxDateEvent

# Summary

## Types

wxDate()
wxDateEvent()
wxDateEventType()

## Functions

getDate(This)

Returns the date.

# Types

Link to this type

# wxDate()

View Source

    -type wxDate() :: #wxDate{type :: wxDateEvent:wxDateEventType(), date :: wx:wx_datetime()}.

Link to this type

# wxDateEvent()

View Source

    -type wxDateEvent() :: wx:wx_object().

Link to this type

# wxDateEventType()

View Source

    -type wxDateEventType() :: date_changed.

# Functions

Link to this function

# getDate(This)

View Source

    -spec getDate(This) -> wx:wx_datetime() when This :: wxDateEvent().

Returns the date.